Raspbery Pi openssl Fix
Elaar
Mitglied

0
Beiträge: 59
Themen: 16 Registriert seit: Jul 2017
27.11.2017, 17:56 -
#1
Hallo freunde.
Ich benutze Noobs auf meinem Pi3 und wollte das Wallet installieren, jedoch scheiterte dies da "openssl 1.1.0f-3" einen Bug enthält.
Die Lösung sieht wie folgend aus:


Zitat:Can confirm this solution appears to have helped.

To clarify:

- Remove the current version of libssl-dev ( 1.1.0f-3 )
sudo apt-get remove libssl-dev

- Set your repository list to point to "jessie" instead of "stretch", save and exit.
sudo nano /etc/apt/sources.list

- Then do sudo apt-get update to download the packages for jessie

- Then do sudo apt-get install libssl-dev package, it should be version 1.0.1t-1

- Follow the instructions with cd eMark, cd src, than do make -f makefile.unix

- When complete, type sudo apt-mark hold libssl-dev to make the package to not upgrade in the future

- Switch back your sources, by changing 'jessie' back to 'stretch' in number 2

- Do a sudo apt-get update and sudo apt-get upgrade and make sure it doesn't try and install libssl-dev (it will say it has been kept back)

Continue with guide!

Kurz um muss openssl von 1.1 auf 1.0 downgradet werden damit die installation durch läuft.